"""
Copyright 2007 Free Software Foundation, Inc.
This file is part of GNU Radio

GNU Radio Companion is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

GNU Radio Companion is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
"""
##@package Colors
#Colors and color-specs used to identify a socket's data type.	
#@author Josh Blum

import pygtk
pygtk.require('2.0')
import gtk

######################################################################################################
#	color codes for signal blocks
######################################################################################################

COMPLEX_COLOR_SPEC = '#3399FF'
FLOAT_COLOR_SPEC = '#FF8C69'
INT_COLOR_SPEC = '#00FF99'
SHORT_COLOR_SPEC = '#FFFF66'
BYTE_COLOR_SPEC = '#FF66FF'
#	and for vectors	#
COMPLEX_VECTOR_COLOR_SPEC = '#3399AA'
FLOAT_VECTOR_COLOR_SPEC = '#CC8C69'
INT_VECTOR_COLOR_SPEC = '#00CC99'
SHORT_VECTOR_COLOR_SPEC = '#CCCC33'
BYTE_VECTOR_COLOR_SPEC = '#CC66CC'

COLORMAP = gtk.gdk.colormap_get_system()	#create all of the colors
BACKGROUND_COLOR = COLORMAP.alloc_color('#FFF9FF', True, True)	#main window background
FG_COLOR = COLORMAP.alloc_color('black', True, True)	#normal border color	
BG_COLOR = COLORMAP.alloc_color('#F1ECFF', True, True)	#default background		
H_COLOR = COLORMAP.alloc_color('#00FFFF', True, True)	#Highlight border color
TXT_COLOR = COLORMAP.alloc_color('black', True, True)	#text color
ERROR_COLOR = COLORMAP.alloc_color('red', True, True)	#error color
FLOAT_COLOR = COLORMAP.alloc_color(FLOAT_COLOR_SPEC, True, True)	#background for floats (redish)
COMPLEX_COLOR = COLORMAP.alloc_color(COMPLEX_COLOR_SPEC, True, True)	#background for complex (blueish)
SHORT_COLOR = COLORMAP.alloc_color(SHORT_COLOR_SPEC, True, True)	#background for shorts (yellowish)
INT_COLOR = COLORMAP.alloc_color(INT_COLOR_SPEC, True, True)	#background for ints (greenish)
BYTE_COLOR = COLORMAP.alloc_color(BYTE_COLOR_SPEC, True, True)	#background for bytes (purplish)
#	and for vectors	#
FLOAT_VECTOR_COLOR = COLORMAP.alloc_color(FLOAT_VECTOR_COLOR_SPEC, True, True)	#background for floats (redish)
COMPLEX_VECTOR_COLOR = COLORMAP.alloc_color(COMPLEX_VECTOR_COLOR_SPEC, True, True)	#background for complex (blueish)
SHORT_VECTOR_COLOR = COLORMAP.alloc_color(SHORT_VECTOR_COLOR_SPEC, True, True)	#background for shorts (yellowish)
INT_VECTOR_COLOR = COLORMAP.alloc_color(INT_VECTOR_COLOR_SPEC, True, True)	#background for ints (greenish)
BYTE_VECTOR_COLOR = COLORMAP.alloc_color(BYTE_VECTOR_COLOR_SPEC, True, True)	#background for bytes (purplish)

