#! /usr/bin/env python
"""
Copyright 2007 Free Software Foundation, Inc.
This file is part of GNU Radio

GNU Radio Companion is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

GNU Radio Companion is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
"""
##@package Editor 
#Execute the flow graph editor GUI. This file must be called by the python interpreter.
#@author Josh Blum

from Constants import VERSION,FLOW_GRAPH_FILE_EXTENSION
from optparse import OptionParser

if __name__ == "__main__": 
	usage = 'usage: %prog [optional_flow_graphs'+FLOW_GRAPH_FILE_EXTENSION+']'
	version = """
GNU Radio Companion %s

This program is part of GNU Radio
GRC comes with ABSOLUTELY NO WARRANTY. 
This is free software, 
and you are welcome to redistribute it.
"""%VERSION
	parser = OptionParser(usage=usage, version=version)	
	(options, args) = parser.parse_args()	
	# "test" import modules that this program will use #
	error = False
	for module in ('pygtk', 'wx', 'numpy', 'xml.dom.minidom', 'xml.dom.ext', 'gnuradio', 'gnuradio.gr.hier_block2'):
		try: __import__(module)		
		except ImportError: #print error
			error = True
			print '\nMissing critical module: "%s"'%module
	if error: #exit		
		print '\nExiting!\n'		
		exit(-1)
	# end import of modules #
	from ActionHandler import ActionHandler
	ActionHandler(args)

