"""
Copyright 2007 Free Software Foundation, Inc.
This file is part of GNU Radio

GNU Radio Companion is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

GNU Radio Companion is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
"""
##@package Elements.Param
#A signal block parameter.
#@author Josh Blum

class Param:
	"""A param holds a single signal block parameter: a data type and a canonical name."""
	
	def __init__(self, cname, data_type, variable=False):
		"""!
		Param constructor. Set the data type and cname.
		@param cname the canonical name
		@param data_type the data type
		@param variable true if the param can be changed at runtime
		"""
		self.cname = cname
		self.data_type = data_type
		##the graphical input object		
		self.input = None	
		self.variable = variable
		
	def get_cname(self):
		"""!
		Get the cname.
		@return the canonical name
		"""
		return self.cname
		
	def get_data_type(self):
		"""!
		Get the data type.
		@return the data type
		"""
		return self.data_type

