"""
Copyright 2007 Free Software Foundation, Inc.
This file is part of GNU Radio

GNU Radio Companion is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

GNU Radio Companion is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
"""
##@package SignalBlockDefs.SignalBlockConstants
#Constants used by the signal block definitions.
#@author Josh Blum

from DataTypes import *
from gnuradio import gr
			
##max number of sockets to draw on one side of a signal block.
MAX_NUM_SOCKETS = 20

##default message queue limit
DEFAULT_QUEUE_LIMIT = 1

##choices for an Enum of regular data types
all_choices = [
	('Complex', Complex()),
	('Float', Float()),
	('Int', Int()),
	('Short', Short()),
	('Byte', Byte()),
]

##choices for an Enum of vector data types
all_vector_choices = [
	('Complex Vector', (ComplexVector(), Complex())),
	('Float Vector', (FloatVector(), Float())),
	('Int Vector', (IntVector(), Int())),
	('Short Vector', (ShortVector(), Short())),
	('Byte Vector', (ByteVector(), Byte()))
]

##default sampling rate
default_samp_rate = '$samp_rate'

##default udp port for udp source/sink
default_udp_port = 3456

		